CAD Forums


Reply
 
Tom C.
Guest
Posts: n/a
 
      06-07-2004
How can I add the Ortho toggle (on/off) command to a single toolbar button?
What is the command line?

I already know that F8 works, as well as the button at the bottom of the
screen.
But a button in my floating toolbar would be better.

Thanks-


 
Reply With Quote
 
 
 
 
BillZ
Guest
Posts: n/a
 
      06-07-2004
(setvar "orthomode" 1) = on


Bill
 
Reply With Quote
 
 
 
 
Jürg Menzi
Guest
Posts: n/a
 
      06-07-2004
Hi Tom

^p(progn(setvar"ORTHOMODE"(boole 6(getvar"ORTHOMODE")1))(princ))

Cheers
--
Juerg Menzi
MENZI ENGINEERING GmbH, Switzerland
http://www.menziengineering.ch
 
Reply With Quote
 
ECCAD
Guest
Posts: n/a
 
      06-07-2004
[Button name]^O

Bob
 
Reply With Quote
 
Paul Turvill
Guest
Posts: n/a
 
      06-07-2004
(setvar "orthomode" (- 1 (getvar "orthomode")))
___

"Tom C." <(E-Mail Removed)> wrote in message
news:40c483ab$1_2@newsprd01...
> How can I add the Ortho toggle (on/off) command to a single toolbar

button?
> What is the command line?
>
> I already know that F8 works, as well as the button at the bottom of the
> screen.
> But a button in my floating toolbar would be better.
>
> Thanks-
>
>



 
Reply With Quote
 
Marco Caprez
Guest
Posts: n/a
 
      06-07-2004
Tom C. wrote:
> How can I add the Ortho toggle (on/off) command to a single toolbar button?
> What is the command line?
>
> I already know that F8 works, as well as the button at the bottom of the
> screen.
> But a button in my floating toolbar would be better.
>
> Thanks-
>
>

Tom,

(setvar "ORTHOMODE" (abs (- (getvar "ORTHOMODE") 1)))

cheers
--
Marco Caprez
CAD-Spezialist
Getronics (Schweiz) AG
 
Reply With Quote
 
mark
Guest
Posts: n/a
 
      06-07-2004

or using diesel

'_setvar;orthomode;$M=$(if,$(eq,$(getvar,orthomode ),0),1,0)

mark

"Tom C." <(E-Mail Removed)> wrote in message
news:40c483ab$1_2@newsprd01...
> How can I add the Ortho toggle (on/off) command to a single toolbar

button?
> What is the command line?
>
> I already know that F8 works, as well as the button at the bottom of the
> screen.
> But a button in my floating toolbar would be better.
>
> Thanks-
>
>



 
Reply With Quote
 
Steve Doman
Guest
Posts: n/a
 
      06-07-2004
(vla-setvariable
(vla-get-activedocument (vlax-get-acad-object))
"orthomode"
(- 1
(vlax-variant-value
(vla-getvariable
(vla-get-activedocument (vlax-get-acad-object))
"orthomode"
)
)
)
)
 
Reply With Quote
 
 
 
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Ortho & Polar? Jazzbo AutoCAD 1 04-01-2007 11:43 PM
ortho/polar tracking setting in lsp Jamie Richardson AutoCAD Customization 2 01-05-2005 10:28 PM
Ortho on before stretch Elton Larry AutoCAD Customization 3 06-24-2004 08:31 PM
ortho or polar tracking angle Richard Alvarez AutoCAD 3 10-31-2003 10:40 AM
Can anyone tell me why I can't use this in Ortho mode? Albert Giuliano AutoCAD Customization 1 08-05-2003 09:26 PM


All times are GMT. The time now is 06:02 AM.